//=============================================================================
// Project:    SLP - An Interpreter for Super Logic Programs / Static Semantics
// Module:     assoc.h
// Purpose:    Enumeration Type for Operator Associativity
// Last Change:27.03.2001
// Language:   C++
// Author:     Stefan Brass
// Email:      Stefan.Brass@informatik.uni-giessen.de, sbrass@sis.pitt.edu
// Address:    Universitaet Giessen, Arndtstr. 2, 35392 Giessen, Germany
// Copyright:  (c) 1997-2001 by Stefan Brass
// Licence:    Distributed under the conditions of the GNU Public Licence.
//=============================================================================

//=============================================================================
// Include File Frame:
//=============================================================================

#ifndef	ASSOC_INCLUDED
#define ASSOC_INCLUDED

//=============================================================================
// Exported Types:
//=============================================================================

//-----------------------------------------------------------------------------
// assoc_t: Enumeration type for operator associativity.
//-----------------------------------------------------------------------------

typedef	enum {
	ASSOC_LEFT,	// I.e. a & b & c means (a & b) & c.
	ASSOC_RIGHT,	// I.e. a & b & c means a & (b & c).
	ASSOC_NONE	// I.e. a & b & c is an error.
} assoc_t;

//=============================================================================
// End of File:
//=============================================================================

#endif

